Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::Cert_Extension::CRL_Number Class Referencefinal

`#include <x509_ext.h>`

Inheritance diagram for Botan::Cert_Extension::CRL_Number:

## Public Member Functions
CRL_Number * | copy () const override
| CRL_Number ()
| CRL_Number (size_t n)
size_t | get_crl_number () const
virtual OID | oid_of () const
virtual void | validate (const X509_Certificate &subject, const X509_Certificate &issuer, const std::vector< std::shared_ptr< const X509_Certificate >> &cert_path, std::vector< std::set< Certificate_Status_Code >> &cert_status, size_t pos)

## Detailed Description

CRL Number Extension

Definition at line 439 of file x509_ext.h.

## Constructor & Destructor Documentation

Botan::Cert_Extension::CRL_Number::CRL_Number | ( |  | ) |
| inline

Definition at line 444 of file x509_ext.h.

Referenced by copy().

444 : m_has_value(false), m_crl_number(0) {}

Botan::Cert_Extension::CRL_Number::CRL_Number | ( | size_t | n | ) |
| inline

Definition at line 445 of file x509_ext.h.

445 : m_has_value(true), m_crl_number(n) {}

## Member Function Documentation

CRL_Number * Botan::Cert_Extension::CRL_Number::copy | ( |  | ) | const
| override virtual

Make a copy of this extension

Returns
  copy of this

Implements Botan::Certificate_Extension.

Definition at line 786 of file x509_ext.cpp.

References CRL_Number().

787 {
788 if(!m_has_value)
789 throw Invalid_State("CRL_Number::copy: Not set");
790 return new CRL_Number(m_crl_number);
791 }
Botan::Cert_Extension::CRL_Number::CRL_Number
CRL_Number()
Definition: x509_ext.h:444

size_t Botan::Cert_Extension::CRL_Number::get_crl_number | ( |  | ) | const

Definition at line 776 of file x509_ext.cpp.

777 {
778 if(!m_has_value)
779 throw Invalid_State("CRL_Number::get_crl_number: Not set");
780 return m_crl_number;
781 }

OID Botan::Certificate_Extension::oid_of | ( |  | ) | const
| virtual inherited

Returns
  OID representing this extension

Reimplemented in Botan::Cert_Extension::Unknown_Critical_Extension.

Definition at line 76 of file x509_ext.cpp.

References Botan::OIDS::lookup(), and Botan::Certificate_Extension::oid_name().

Referenced by Botan::Extensions::add(), Botan::Extensions::encode_into(), and Botan::Extensions::replace().

77 {
78 return OIDS::lookup(oid_name());
79 }
Botan::Certificate_Extension::oid_name
virtual std::string oid_name() const =0
Botan::OIDS::lookup
std::string lookup(const OID &oid)
Definition: oids.cpp:18

void Botan::Certificate_Extension::validate | ( | const X509_Certificate & | subject,
|  | const X509_Certificate & | issuer,
|  | const std::vector< std::shared_ptr< const X509_Certificate >> & | cert_path,
|  | std::vector< std::set< Certificate_Status_Code >> & | cert_status,
|  | size_t | pos
| ) |  |
| virtual inherited

Reimplemented in Botan::Cert_Extension::Unknown_Critical_Extension, and Botan::Cert_Extension::Name_Constraints.

Definition at line 84 of file x509_ext.cpp.

88 {
89 }

The documentation for this class was generated from the following files:

- src/lib/x509/x509_ext.h
- src/lib/x509/x509_ext.cpp